package core.services;

import core.entities.User;
import core.entities.timemanager.AbstractSchedule;
import core.repositories.UserRepository;
import core.repositories.timemanager.ScheduleRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class TaskScheduleService {

    @Autowired private ScheduleRepository scheduleRepository;
    @Autowired private UserRepository userRepository;

    public List<AbstractSchedule> getAllSchedulesOfUser(String username) {
        return scheduleRepository.findAllByUsername(username);
    }
}
